#!/bin/bash
#
# Amendment History
# =================
# inital (RB)

if ! test -z $DEBUG && test $DEBUG=1; then set -vx; fi # DEBUG CHECK

source /backups/patch/settings.sh

cleanup() {
 cd $PATCHBASE
 rm -rf .* 2>/dev/null
 rm -rf * 2>/dev/null
 echo; echo "Clean up done..."
}

heading() {
 clear
 echo "${inv} Swivel Maintenance (c) $COPYRIGHT_YEAR${nor}                                             ${inv}$PINSAFE_TYPE${nor}"
 echo
 echo $1
 echo
}

yorn() {
 echo
 echo -n "Are you sure? (Yes/No): "
 read yn
 check_ans $1 $yn
}

check_ans() {
 if test ! $2; then
  $1; fi
 if test ! $2 = "Yes" && test ! $2 = "yes" && test ! $2 = "y" && test ! $2 = "Y" ; then
  $1; fi
}

warning() {
 heading "Upgrading Swivel Appliance"
 echo "Continuing will apply patch ${inv}$PATCH_VER${nor}."
 echo
 echo "The system should not be providing authentication whilst the patch is applied."
 yorn exit
}


upgrade_rpm() {
    heading "Swivel Appliance patch"
    echo "Please wait, installing Appliance update."
    rpm --import RPM-GPG-KEY-Swivel
    rpm -Uh *.rpm
    if [ $? -eq 0 ]; then 
	echo
	echo "Update applied, there is no need to reboot the Appliance."
    else
	echo
	echo "Appliance already patched."
    fi
    echo; read -p "Press Return to continue" yn
}

heading "Swivel Appliance O/S update"
upgrade_rpm
cleanup
